/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/13
*描  述:  GPIO模块示例程序
*         定时扫描GPIO_PA2的电平状态，高电平点亮LED1，低电平熄灭LED1
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);
    SystemInit();
    DeviceClockAllEnable();

    User_SysTickInit();
    TargetPortInit();
    LightInit(LED1_PIN);
    LightOff(LED1_PIN);

    while (1)
    {
        Delay_100us(1000);
    }
}
