/*********************************************************
*Copyright (C), 2019, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/19
*描  述:  PWM示例程序
          同步启动两个T16N，T16N0(PA4、PA5)以及T16N3(PA6、PA7)输出四路同步中心对齐PWM波
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    T16NxInit();

    while (1);
}
