/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/11
*描  述:  systick示例程序
          LED1闪烁，间隔2s，间隔时间使用SysTick定时器
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"


int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    User_SysTickInit();

    LightInit(LED1_PIN);
    LightOff(LED1_PIN);

    while (1)
    {
        LightOn(LED1_PIN);
        Delay_100us(20000);
        LightOff(LED1_PIN);
        Delay_100us(20000);
    }
}
