/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.01
*日  期:  2021/05/19
*描  述:  32位计数器例程
          PA3引脚输入上升沿方波信号，T32N0每计数一次中断触发LED1状态翻转
          例如，外部输入PWM脉冲频率为1Hz，那么LED1将亮一秒灭一秒
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"


int main(void)
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);    /* 配置HRC时钟频率 */
    SystemInit();
    DeviceClockAllEnable();

    T32NxInit();
    LightInit(LED1_PIN);
    LightOff(LED1_PIN);

    while (1)
    {
    }

}

