/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  uart.h
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/15
*描  述:  UART模块程序（中断收发）头文件
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#ifndef __UART_H__
#define __UART_H__

#include "lib_config.h"
#include "string.h"

#define BUZZZER_PIN GPIO_Pin_A1


void UARTInit(void);                                /* UART初始化 */
void UARTSend(UART_TypeDef *UARTx, uint8_t u8data);

#endif
