#include "irqhandler.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1);
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void ADC_IRQHandler(void)
描  述: ADC中断处理
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void ADC_IRQHandler()
{
    if ((ADC_GetIFStatus(ADC_IF_ACPOVER) == SET) && (ADC_GetIEStatus(ADC_IE_ACPOVER) == SET))
    {
        ADC_ClearIFStatus(ADC_IF_ACPOVER);
        meanvalue = ADC_GetACPMeanValue();
        LightOff(LED1_PIN);
    }

    if ((ADC_GetIFStatus(ADC_IF_ACPMIN) == SET) && (ADC_GetIEStatus(ADC_IE_ACPMIN) == SET))
    {
        ADC_ClearIFStatus(ADC_IF_ACPMIN);
        LightOn(LED1_PIN);
    }

    if ((ADC_GetIFStatus(ADC_IF_ACPMAX) == SET) && (ADC_GetIEStatus(ADC_IE_ACPMAX) == SET))
    {
        ADC_ClearIFStatus(ADC_IF_ACPMAX);
        LightOn(LED1_PIN);
    }

    if ((ADC_GetIFStatus(ADC_IF) == SET) && (ADC_GetIEStatus(ADC_IE) == SET))
    {
        ADC_ClearIFStatus(ADC_IF);
    }
}


