/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/05/13
*描  述:  GPIO外部按键中断演示主程序
*         通过GPIOA_1产生一次外部按键中断，LED1状态变化一次
*备  注:  本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main()
{
    HRC_Config(Enable, SCU_HRC_48M, Enable);
    SystemInit();
    DeviceClockAllEnable();

    LightInit(LED1_PIN);
    LightOff(LED1_PIN);
    KINTx_Init();

    while (1)
    {
    }
}
