#include "irqhandler.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{

}

/*********************************************************
函数名: void KINT_IRQHandler(void)
描  述: 按键中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void KINT_IRQHandler(void)
{
    static uint32_t count = 0;

    if ((KINT_GetITFlag(GPIO_Pin_A1) == SET) && (KINT_GetITStatus(GPIO_Pin_A1) == SET) && (KINT_GetKMASK(GPIO_Pin_A1) != SET))
    {
        KINT_ClearITFlag(GPIO_Pin_A1);

        if (count % 2 == 0x0)
        {
            LightOn(LED1_PIN);
        }
        else
        {
            LightOff(LED1_PIN);
        }

        count++;
    }
}


