#include "irqhandler.h"

extern volatile uint8_t g_sleep_flag;

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}


/***************************************************************
 描  LVD_IRQHandler
 输入值：无
 返回值：无
***************************************************************/
void LVD_IRQHandler(void)
{
    if (SCU_GetLVDFlagStatus(SCU_LVDFlag_IF) != RESET)
    {
        SCU_RegUnLock();
        SCU_LVDClearIFBit();
        SCU_RegLock();
		GPIO_ToggleBit(GPIO_Pin_B0);
        g_sleep_flag = 1;
    }
}
